<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />
<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 1) {
    $pagetitle = "1oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

    <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>


</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>
    <style> #templatemo_main p{
            text-align:center;
        }
        #templatemo_main h1{
            text-align:center;
            color:#FC0;
        }
        #templatemo_main h2{
            text-align:center;
            color:#990;
        }
       
         #templatemo_main tr{
	   font-weight:500;
	   color:#000000;
	   }
    </style>

    <div id="buttons">    <form action="editatom1.php" method="post">

            <?php
            require_once('../../mysqli_connect.php');
            if (isset($_POST['submitted1'])) {

                $errors = array();
                $id = $_POST['submitted1'];
                // echo $id;
                if (empty($_POST['name'])) {
                    $errors[] = 'Δεν εισάγατε όνομα στελέχους';
                } else {
                    $name = mysqli_real_escape_string($dbc, trim($_POST['name']));
                }

                if (empty($_POST['surname'])) {
                    $errors[] = 'Δεν εισάγατε επίθετο στελέχους';
                } else {
                    $surname = mysqli_real_escape_string($dbc, trim($_POST['surname']));
                }
                if (empty($_POST['rank'])) {
                    $errors[] = 'Δεν επιλέξατε βαθμό στελέχους';
                } else {
                    $rank = mysqli_real_escape_string($dbc, trim($_POST['rank']));
                    $q = "Select rankid from ranks where rankname='$rank'";
                    $r = @mysqli_query($dbc, $q);
                    list($rid) = mysqli_fetch_row($r);
                }
                if (empty($_POST['address'])) {
                    $errors[] = 'Δεν εισάγατε δνση στελέχους';
                } else {
                    $address = mysqli_real_escape_string($dbc, trim($_POST['address']));
                }
                if (empty($_POST['telephone'])) {
                    $errors[] = 'Δεν εισάγατε τηλέφωνο στελέχους';
                } else {
                    $tel = mysqli_real_escape_string($dbc, trim($_POST['telephone']));
                }
                if (empty($_POST['kathik'])) {
                    $errors[] = 'Δεν επιλέξατε καθήκοντα στελέχους';
                } else {
                    $kath = mysqli_real_escape_string($dbc, trim($_POST['kathik']));
                    $q = "Select kathikid from kathikonta where kathikname='$kath'";
                    $r = @mysqli_query($dbc, $q);
                    list($kid) = mysqli_fetch_row($r);
                }

                if (empty($errors)) {
                    $q = "UPDATE stelexi SET name='$name',surname='$surname',rankid='$rid"
                            . "',address='$address',telephone='$tel',kathikontaid=$kid WHERE id=$id ";
                    $r = @mysqli_query($dbc, $q);
                    if (mysqli_affected_rows($dbc) == 1) {
                        echo '<p><h1>Τα ατομικά στοιχεια τροποποιήθηκαν επιτυχώς</h1></p></br>
                              <p><a href=editatom.php><h2>Επιστροφή στην Επεξεργασία Ατομικών Εγγράφων</h2></α>';
                    } else { // If it did not run OK.
                        echo '<p class="error">Πρόβλημα του συστήματος .Προσπαθείστε ξανά</p>'; // Public message.
                        //               echo '<p>' . mysqli_error($dbc) . '<br />Query: ' . $q . '</p>'; // Debugging message.
                    }
                } else {

                    echo '<p class="error">Συνέβησαν τα ακόλουθα λάθη <br />';
                    foreach ($errors as $msg) { // Print each error.
                        echo " - $msg<br />\n";
                    }
                    echo '</p><p>Προσπαθείστε ξανά.</p>';
                }
            } else {


                if ($_POST['submitted']) {
                    $errors = array();
                    if (empty($_POST['name'])) {
                        $errors[] = 'Δεν επιλέξατε στέλεχος';
                    } else {
                        $name = mysqli_real_escape_string($dbc, trim($_POST['name']));
                        $data = explode(' ', $name);
                        $id = $data[3];
                    }

                    if (empty($errors)) {
                        $q = "Select s.name,s.surname,s.rankid,s.kathikontaid,s.address,s.telephone,r.rankname,k.kathikname
               from stelexi s,ranks r,kathikonta k where id=$id and s.rankid=r.rankid and k.kathikid=s.kathikontaid";
                        $r = @mysqli_query($dbc, $q);
                        list($name, $surname, $rid, $kid, $address, $telephone, $rn, $kn) = mysqli_fetch_row($r);
                        echo '
            <h1>Ατομικά Στοιχεία </h1>
           <p> Όνομα:<input name="name" value=' . $name . '></input>';
                        echo'       Επίθετο:<input name="surname" value=' . $surname . '></input>';
                        $q1 = "select rankname from ranks ";
                        $r1 = @mysqli_query($dbc, $q1);

                        echo'       Βαθμός:<select name="rank" >';
                        while ($row = mysqli_fetch_array($r1, MYSQLI_ASSOC)) {
                            if ($rn == $row['rankname']) {
                                echo '<option value=' . $row['rankname'] . ' selected> ' . $row['rankname'] . ' </option>';
                            } else {
                                echo '<option value=' . $row['rankname'] . ' > ' . $row['rankname'] . ' </option>';
                            }
                        }

                        echo'         </select></p></br>';
                        echo'           <p> Διεύθυνση:<input name="address" value=' . $address . '></input>';
                        echo'            Τηλέφωνο:<input name="telephone" value=' . $telephone . '></input>';
                        $q1 = "select kathikname from kathikonta ";
                        $r1 = @mysqli_query($dbc, $q1);

                        echo'       Καθήκοντα:<select name="kathik" >';
                        while ($row = mysqli_fetch_array($r1, MYSQLI_ASSOC)) {
                            if ($kn == $row['kathikname']) {
                                echo '<option value=' . $row['kathikname'] . ' selected>' . $row['kathikname'] . ' </option>';
                            } else {
                                echo '<option value=' . $row['kathikname'] . ' >' . $row['kathikname'] . ' </option>';
                            }
                        }

                        echo'    
				       </select></p></br>';

                        echo
                        '<p><input type="submit" name="submit" value="Καταχωρείστε τις τροποποιήσεις!!!!" /></p>
                <input type="hidden" name="submitted1" value=' . $id . ' />
                </select>
                </form>';
                    } else
                        echo'error';
                } else
                    echo'Δεν επιτρέπεται η προσβαση στη σελίδα';
            }
            ?>


            <h1> Ποινές </h1> <form action="addpoines.php" method="post">
                <?php
                $q = "SELECT  p.aa as aa,p.eidos as poinh,p.diarkeia as meres, date_format(p.date,'%d %M %y') as date
                  ,p.aitia as aitia from stelexi s, poines p
                  where s.id=p.stid and s.id=$id ";

                $r = mysqli_query($dbc, $q);
                if ($r) {

                    echo'</br><h2>Πίνακας Ποινών</h2>';
                    echo '<table align="center"  bgcolor="#FFFF99"  bordercolor="#FF3300" border="2" cellspacing="3" cellpadding="3" width="100%">
          <tr>
             <td align="left"><b>Επεξεργασία</a></b></td>
             <td align="left"><b>Διαγραφή</a></b></td>
             <td align="left"><b>Ημερομηνία Επιβολής</a></b></td>
             <td align="left"><b>Είδος</b></td>
             <td align="left"><b>Διάρκεια</b></td>
             <td align="left"><b>Αιτιολογία</b></td>
            </tr>
          ';
                    $bg = '#eeeeee';
                    while ($row = mysqli_fetch_array($r, MYSQLI_ASSOC)) {
                        $bg = ($bg == '#eeeeee' ? '#ffffff' : '#eeeeee');
                        echo '<tr bgcolor="' . $bg . '">
            <td align="left"><a href="editpoines.php?aa=' . $row['aa'] . '"><b>Επεξεργασία</a></b></td>   
                <td align="left"><a href="deletepoines.php?aa=' . $row['aa'] . '"><b>Διαγραφή</a></b></td>
            <td align="left">' . $row['date'] . '</td>
            <td align="left">' . $row['poinh'] . '</td>
            <td align="left">' . $row['meres'] . '</td>
            <td align="left">' . $row['aitia'] . '</td>    
            	
              </tr>
              ';
                    }
                    echo '</table>';
                } else {
                    echo 'Παρακαλώ προσπαθείστε ξανά';
                }
                echo'   
                <form action="addpoines.php" method="post"></br>
                <p><input type="submit" name="submit" value="Προσθέστε μια νέα ποινή!!!!" /></p>
                <input type="hidden" name="submitted" value=' . $id . ' />
          
     ';
                ?>   </form>

            <h1> Άδειες </h1> <form action="addadeies.php" method="post">
                <?php
                $cury = date('Y');
                $q = "SELECT  a.aa,a.eidos as adeia,a.diarkeia as meres, date_format(a.date,'%d %M %y') 
                  as date
                  from stelexi s, adeies a
                  where s.id=a.stid and s.id=$id and a.date like '$cury%'";
                // echo $q; 
                $r = mysqli_query($dbc, $q);
                if ($r) {

                    echo'</br><h2>Πίνακας Αδειών Τρέχοντος Έτους</h2>';
                    echo '<table align="center"  bgcolor="#FFFF99"  bordercolor="#FF3300" border="2" cellspacing="3" cellpadding="3" width="100%">
          <tr>
             <td align="left"><b>Επεξεργασία</a></b></td>
             <td align="left"><b>Διαγραφή</a></b></td>
             <td align="left"><b>Ημερομηνία </a></b></td>
             <td align="left"><b>Είδος</b></td>
             <td align="left"><b>Διάρκεια</b></td>
             
            </tr>
          ';
                    $bg = '#eeeeee';
                    while ($row = mysqli_fetch_array($r, MYSQLI_ASSOC)) {
                        $bg = ($bg == '#eeeeee' ? '#ffffff' : '#eeeeee');
                        echo '<tr bgcolor="' . $bg . '">
            <td align="left"><a href="editadeies.php?aa=' . $row['aa'] . '"><b>Επεξεργασία</a></b></td>   
                <td align="left"><a href="deleteadeies.php?aa=' . $row['aa'] . '"><b>Διαγραφή</a></b></td>
            <td align="left">' . $row['date'] . '</td>
            <td align="left">' . $row['adeia'] . '</td>
            <td align="left">' . $row['meres'] . '</td>
           
            	
              </tr>
              ';
                    }
                    echo '</table>';
                } else {
                    echo 'Παρακαλώ προσπαθείστε ξανά';
                }
                echo'   
                <form action="addpoines.php" method="post"></br>
                <p><input type="submit" name="submit" value="Προσθέστε μια νέα άδεια!!!!" /></p>
                <input type="hidden" name="submitted" value=' . $id . ' />
          
     ';
                ?>   </form>
             <h1> Μεταβολές </h1> <form action="addmet.php" method="post">
                <?php
              $q = "SELECT  m.aa as aa,m.eidos as met, date_format(m.date,'%d %M %y') as date,m.parat as par
                  from stelexi s, metavoles m
                  where s.id=m.stid and s.id=$id ";

            $r = mysqli_query($dbc, $q);
                if ($r) {

                    echo'</br><h2>Πίνακας Αδειών Τρέχοντος Έτους</h2>';
                    echo '<table align="center"  bgcolor="#FFFF99"  bordercolor="#FF3300" border="2" cellspacing="3" cellpadding="3" width="100%">
          <tr>
             <td align="left"><b>Επεξεργασία</a></b></td>
             <td align="left"><b>Διαγραφή</a></b></td>
             <td align="left"><b>Ημερομηνία Μεταβολής </a></b></td>
             <td align="left"><b>Μεταβολής</b></td>
             <td align="left"><b>Παρ/σεις</b></td>
             
            </tr>
          ';
                    $bg = '#eeeeee';
                    while ($row = mysqli_fetch_array($r, MYSQLI_ASSOC)) {
                        $bg = ($bg == '#eeeeee' ? '#ffffff' : '#eeeeee');
                        echo '<tr bgcolor="' . $bg . '">
            <td align="left"><a href="editmet.php?aa=' . $row['aa'] . '"><b>Επεξεργασία</a></b></td>   
                <td align="left"><a href="deletemet.php?aa=' . $row['aa'] . '"><b>Διαγραφή</a></b></td>
            <td align="left">' . $row['date'] . '</td>
            <td align="left">' . $row['met'] . '</td>
            <td align="left">' . $row['par'] . '</td>
           
            	
              </tr>
              ';
                    }
                    echo '</table>';
                } else {
                    echo 'Παρακαλώ προσπαθείστε ξανά';
                }
                echo'   
                <form action="addmet.php" method="post"></br>
                <p><input type="submit" name="submit" value="Προσθέστε μια νέα μεταβολή!!!!" /></p>
                <input type="hidden" name="submitted" value=' . $id . ' />
          
     ';
                ?>   </form>
  <h1> Προαγωγές </h1> <form action="addproag.php" method="post">
                <?php
           $q = "SELECT  p.aa as aa,p.proagogh as proa,p.edyethaproagoghs as ed, date_format(p.date,'%d %M %y') as date
                  from stelexi s, proagoges p
                  where s.id=p.stid and s.id=$id ";

            $r = mysqli_query($dbc, $q);
            if ($r) {

                    echo'</br><h2>Πίνακας Προαγωγών</h2>';
                    echo '<table align="center"  bgcolor="#FFFF99"  bordercolor="#FF3300" border="2" cellspacing="3" cellpadding="3" width="100%">
          <tr>
             <td align="left"><b>Επεξεργασία</a></b></td>
             <td align="left"><b>Διαγραφή</a></b></td>
             <td align="left"><b>Ημερομηνία Προαγωγής </a></b></td>
             <td align="left"><b>Προαγωγή</b></td>
             <td align="left"><b>EΔΥΕΘΑ</b></td>
             
            </tr>
          ';
                    $bg = '#eeeeee';
                    while ($row = mysqli_fetch_array($r, MYSQLI_ASSOC)) {
                        $bg = ($bg == '#eeeeee' ? '#ffffff' : '#eeeeee');
                        echo '<tr bgcolor="' . $bg . '">
            <td align="left"><a href="editproag.php?aa=' . $row['aa'] . '"><b>Επεξεργασία</a></b></td>   
                <td align="left"><a href="deleteproag.php?aa=' . $row['aa'] . '"><b>Διαγραφή</a></b></td>
            <td align="left">' . $row['date'] . '</td>
            <td align="left">' . $row['proa'] . '</td>
            <td align="left">' . $row['ed'] . '</td>
           
            	
              </tr>
              ';
                    }
                    echo '</table>';
                } else {
                    echo 'Παρακαλώ προσπαθείστε ξανά';
                }
                echo'   
                <form action="addproag.php" method="post"></br>
                <p><input type="submit" name="submit" value="Προσθέστε μια νέα προαγωγή!!!!" /></p>
                <input type="hidden" name="submitted" value=' . $id . ' />
          
     ';
                ?>   </form>

            <div class="cleaner"></div>
    </div> 




    <?php
    include('../../divs/footer.php');
    ?>